
[![Travis build
status](https://travis-ci.org/muschellij2/dcmsort.svg?branch=master)](https://travis-ci.org/muschellij2/dcmsort)
[![AppVeyor Build
Status](https://ci.appveyor.com/api/projects/status/github/muschellij2/dcmsort?branch=master&svg=true)](https://ci.appveyor.com/project/muschellij2/dcmsort)
[![Coverage
status](https://coveralls.io/repos/github/muschellij2/dcmsort/badge.svg?branch=master)](https://coveralls.io/r/muschellij2/dcmsort?branch=master)
<!-- README.md is generated from README.Rmd. Please edit that file -->

# dcmsort Package:

The goal of `dcmsort` is to provide wrapper functions to sort DICOM
images

## Installation

You can install `dcmsort` from GitHub with:

``` r
# install.packages("remotes")
remotes::install_github("muschellij2/dcmsort")
```

## Example

Here is an example of sorting and converting a single suject DICOM data
for non-contrast brain CT images. The `directory` variable is set to the
DICOM folder for that patient.

``` r
library(dcmsort)
sorted = dcmsort(directory = directory, copy_files = FALSE)

outfile = file.path(sorted$directory, "all_hdr.rds")
all_hdr = read_all_hdr(
  directory = sorted$directory,
  outfile = outfile)
sub_hdr = subset_hdr(all_hdr)
ct_hdr = noncon_brain_ct(
  sub_hdr = sub_hdr,
  delete_localizers = TRUE)
converted = convert_hdr_nii(
  sub_hdr = ct_hdr$ct_data, 
  merge_files = TRUE, 
  ignore_derived = TRUE,
  overwrite = FALSE
)
```
